import request from "../utils/request";

// 登录
export function queryLogin(queryParams) {
  return request({
    url: "/app/user/login",
    method: "get",
    params: queryParams,
  });
}

export function getUserAuthInfo(data) {
  return request({
    url: "/app/user/getUserAuthInfo",
    method: "post",
    data,
  });
}

/**
 * 获取评论列表
 *
 * @param queryParams
 */
export function queryCommentList(queryParams) {
  return request({
    url: "/admin/comment/queryCommentList",
    method: "post",
    data: queryParams,
  });
}

// APP首页查询精品专栏（只返回id,名称）
export function queryMainColumnList(queryParams) {
  return request({
    url: "/app/video/live/column/list/main",
    method: "get",
    params: queryParams,
  });
}
// 查询栏目列表
export function queryColumnList(queryParams) {
  return request({
    url: "/app/video/live/column/list",
    method: "get",
    params: queryParams,
  });
}
// APP查询视频列表
// type	1 直播计划 2 直播列表 3 投顾直播列表 4 我的关注
export function queryLivePlan(queryParams) {
  return request({
    url: "/app/video/live/info/list",
    method: "post",
    data: queryParams,
  });
}

// APP查询视频列表（新）
export function queryLivePlanNew(queryParams) {
  return request({
    url: "/app/video/live/info/listNew",
    method: "post",
    data: queryParams,
  });
}

//APP查询推荐位列表
export function queryRecommendList(queryParams) {
  return request({
    url: "/app/common/recommend/list",
    method: "get",
    params: queryParams,
  });
}

// app查询视频标签列表
export function queryVideoTagList() {
  return request({
    url: "/app/video-tag/list",
    method: "post",
  });
}

// APP关注投顾
export function attentionTg(queryParams) {
  return request({
    url: "/app/advisor/info/follow",
    method: "post",
    data: queryParams,
  });
}

// APP查询用户预约、浏览
export function getSubscribeList(queryParams) {
  return request({
    url: "/app/video/live/getSubscribeList",
    method: "get",
    params: queryParams,
  });
}

// 查询关注投顾列表
export function getFollowTgList(queryParams) {
  return request({
    url: "/app/advisor/info/listFollow",
    method: "get",
    params: queryParams,
  });
}

// 获取有直播的日期
export function getLiveHistory(queryParams) {
  return request({
    url: "/app/video/live/subscribe/history",
    method: "get",
    params: queryParams,
  });
}

// 获取全部订单
export function queryUserOrderList(queryParams) {
  return request({
    url: "/frontend/module/getUserOrderList",
    method: "post",
    data: queryParams,
  });
}

// 微信授权登录
export function wxLogin(queryParams) {
  return request({
    url: "/admin/wechat/codeToken",
    method: "post",
    data: queryParams,
  });
}

// 获取C端用户信息
export function getUserInfo(queryParams) {
  return request({
    url: "/app/user/getUserInfo",
    method: "post",
    data: queryParams,
  });
}

// app获取原始链接
export function getUrlOriginal(queryParams) {
  return request({
    url: "/app/url/original",
    method: "post",
    data: queryParams,
  });
}
